<?php
function hotel_26_footer( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	// Footer Panel // 
	$wp_customize->add_panel( 
		'footer_section', 
		array(
			'priority'      => 34,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Footer', 'hotel-26'),
		) 
	);
	
	/*=========================================
	Footer Above
	=========================================*/	
	if( function_exists('cleverfox_activate')):
	$wp_customize->add_section(
        'footer_above',
        array(
            'title' 		=> __('Footer Above','hotel-26'),
			'panel'  		=> 'footer_section',
		)
    );
	// hide/show
	$wp_customize->add_setting( 
		'above_footer_hs' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_checkbox',
			'priority' => 1,
		) 
	);
	
	$wp_customize->add_control( 
		'above_footer_hs' , 
			array(
			'type' => 'checkbox',
			'label' => __('Hide/Show','hotel-26'),
			'section' => 'footer_above',
		) 
	);
	
	/*=========================================
	Service Top
	=========================================*/
	$wp_customize->add_setting(
		'service_three_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'service_three_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Content','hotel-26'),
			'section' => 'footer_above',
		)
	);
	
	/**
	 * Customizer Repeater for add service
	 */
	
		$wp_customize->add_setting( 'service_three_contents', 
			array(
			 'sanitize_callback' => 'hotel_26_repeater_sanitize',
			 'priority' => 8,
			 'default' => hotel26_get_service_three_default()
			)
		);
		
		$wp_customize->add_control( 
			new Hotel_26_Repeater( $wp_customize, 
				'service_three_contents', 
					array(
						'label'   => esc_html__('Service','hotel-26'),
						'section' => 'footer_above',
						'add_field_label'                   => esc_html__( 'Add New Service3', 'hotel-26' ),
						'item_name'                         => esc_html__( 'Service3', 'hotel-26' ),
						'customizer_repeater_image2_control' => true,
						'customizer_repeater_title_control' => true,
					) 
				) 
			);
				
		//Pro feature
		cleverfox_themes_section_upgrade_control( $wp_customize, array(
			'theme_slug' => 'hotel_26_',
			'setting_id' => 'service3',
			'section'    => 'footer_above',
			'pro_url'    => hotel_26_premium_links(),
			'custom_text'    => __('Upgrade to Pro','hotel-26'),
		) );

	// service column // 
	$wp_customize->add_setting(
    	'service_three_sec_column',
    	array(
	        'default'			=> '5',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_select',
			'priority' => 9,
		)
	);	

	$wp_customize->add_control(
		'service_three_sec_column',
		array(
		    'label'   		=> __('Service Column','hotel-26'),
		    'section' 		=> 'footer_above',
			'settings'   	 => 'service_three_sec_column',
			'type'			=> 'select',
			'choices'        => 
			array(
				'4' => __( '4 Column', 'hotel-26' ),
				'5' => __( '5 Column', 'hotel-26' ),
				'6' => __( '6 Column', 'hotel-26' ),
			) 
		) 
	);
	
	if ( class_exists( 'Cleverfox_Customizer_Range_Slider_Control' ) ) {
		$wp_customize->add_setting(
			'service_three_animation_speed',
			array(
				'default' => '5000',
				'capability'     	=> 'edit_theme_options',
				'sanitize_callback' => 'hotel_26_sanitize_range_value',
				'priority' => 11,
			)
		);
		$wp_customize->add_control( 
		new Cleverfox_Customizer_Range_Slider_Control( $wp_customize, 'service_three_animation_speed', 
			array(
				'label'      => __( 'Slide Speed', 'hotel-26' ),
				'section'  => 'footer_above',
				'input_attrs'    => array(
						'min'           => 2000,
						'max'           => 10000,
						'step'          => 500,
					),
				),
			) 
		);
	}
	
	
	// Service Autoplay
	$wp_customize->add_setting( 
		'service_three_autoplay', 
			array(
			'default' => 'true',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_select',
			'priority' => 10,
		) 
	);
	$wp_customize->add_control('service_three_autoplay', array(
    'label' => __('Slide Autoplay', 'hotel-26'),
    'section' => 'footer_above',
	'type'			=> 'select',
	'choices'        => 
			array(
				'true'		=>__('Yes', 'hotel-26'),
				'false'=>__('No', 'hotel-26'),
			) 
	));
	
	// Service Loop
	$wp_customize->add_setting( 
		'service_three_loop_rewind' , 
			array(
			'default' => 'loop',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_select',
			'priority' => 10,
		) 
	);
	$wp_customize->add_control('service_three_loop_rewind', array(
    'label' => __('Loop/Rewind', 'hotel-26'),
    'section' => 'footer_above',
	'type'			=> 'select',
	'choices'        => 
			array(
				'loop'		=>__('Loop', 'hotel-26'),
				'rewind'=>__('Rewind', 'hotel-26'),
			) 
	));
	
	//Spacing
	$wp_customize->add_setting(
		'service_three_spacing_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'service_three_spacing_head',
		array(
			'type' => 'hidden',
			'label' => __('Section Spacing','hotel-26'),
			'section' => 'footer_above',
		)
	);
	
	// Padding // 
	$wp_customize->add_setting(
    	'service_three_padding_top',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'service_three_padding_top',
		array(
		    'label'   => __('Padding Top','hotel-26'),
		    'section' => 'footer_above',
			'type'           => 'text',
		)  
	);
	$wp_customize->add_setting(
    	'service_three_padding_bottom',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'service_three_padding_bottom',
		array(
		    'label'   => __('Padding Bottom','hotel-26'),
		    'section' => 'footer_above',
			'type'           => 'text',
		)  
	);
	
	// Margin // 
	$wp_customize->add_setting(
    	'service_three_margin_top',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'service_three_margin_top',
		array(
		    'label'   => __('Margin Top','hotel-26'),
		    'section' => 'footer_above',
			'type'           => 'text',
		)  
	);
	$wp_customize->add_setting(
    	'service_three_margin_bottom',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'service_three_margin_bottom',
		array(
		    'label'   => __('Margin Bottom','hotel-26'),
		    'section' => 'footer_above',
			'type'           => 'text',
		)  
	);
	
	/* == Footer Widget Area == */	
	$wp_customize->add_section(
        'footer_widgets',
        array(
            'title' 		=> __('Footer Widget Area','hotel-26'),
			'panel'  		=> 'footer_section',
		)
    );
	
	$wp_customize->add_setting( 'award_two_contents', 
		array(
		 'sanitize_callback' => 'hotel_26_repeater_sanitize',
		 'default' => hotel26_award2_default()
		)
	);

	$wp_customize->add_control( 
		new Hotel_26_Repeater( $wp_customize, 
		'award_two_contents', 
			array(
				'label'   => esc_html__('Awards','hotel-26'),
				'section' => 'footer_widgets',
				'add_field_label'                   => esc_html__( 'Add New Award2', 'hotel-26' ),
				'item_name'                         => esc_html__( 'Award2', 'hotel-26' ),
				'customizer_repeater_image_control' => true,
			) 
		) 
	);
			
	//Pro feature
	cleverfox_themes_section_upgrade_control( $wp_customize, array(
		'theme_slug' => 'hotel_26_',
		'setting_id' => 'award2',
		'section'    => 'footer_widgets',
		'pro_url'    => hotel_26_premium_links(),
		'custom_text'    => __('Upgrade to Pro','hotel-26'),
	) );
		
	$wp_customize->add_setting( 
    	'footer_widget_left_img' , 
    	array(
			'default' 			=> esc_url(get_template_directory_uri() .'/assets/images/footer/our-guarantee.png'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_url',	
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'footer_widget_left_img' ,
		array(
			'label'          => esc_html__( 'Left Main Image', 'hotel-26'),
			'section'        => 'footer_widgets',
		) 
	));
		
	$wp_customize->add_setting( 'trust_list_contents', 
		array(
		 'sanitize_callback' => 'hotel_26_repeater_sanitize',		 
		 'default' => hotel26_trust_default()
		)
	);

	$wp_customize->add_control( 
		new Hotel_26_Repeater( $wp_customize, 
		'trust_list_contents', 
			array(
				'label'   => esc_html__('Trust Content','hotel-26'),
				'section' => 'footer_widgets',
				'add_field_label'                   => esc_html__( 'Add New Trust', 'hotel-26' ),
				'item_name'                         => esc_html__( 'Trust', 'hotel-26' ),
				'customizer_repeater_title_control' => true,
				'customizer_repeater_icon_control' => true,
			) 
		) 
	);
	
	//Pro feature
	cleverfox_themes_section_upgrade_control( $wp_customize, array(
		'theme_slug' => 'hotel_26_',
		'setting_id' => 'trust',
		'section'    => 'footer_widgets',
		'pro_url'    => hotel_26_premium_links(),
		'custom_text'    => __('Upgrade to Pro','hotel-26'),
	) );
	
	/* Business Promotions */
	$wp_customize->add_setting( 
    	'business_call_img' , 
    	array(
			'default' 			=> esc_url(get_template_directory_uri() .'/assets/images/footer/call.png'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_url',	
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'business_call_img' ,
		array(
			'label'          => esc_html__( 'Call Image', 'hotel-26'),
			'section'        => 'footer_widgets',
		) 
	));	
	
	$wp_customize->add_setting(
    	'business_call_ttl_one',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',
		)
	);	

	$wp_customize->add_control( 
		'business_call_ttl_one',
		array(
		    'label'   		=> __('Business Call Title','hotel-26'),
		    'section'		=> 'footer_widgets',
			'type' 			=> 'text'
		)  
	);
	
	$wp_customize->add_setting(
    	'business_call_num_one',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',
		)
	);	

	$wp_customize->add_control( 
		'business_call_num_one',
		array(
		    'label'   		=> __('Business Call Number 1','hotel-26'),
		    'section'		=> 'footer_widgets',
			'type' 			=> 'text'
		)  
	);
	
	$wp_customize->add_setting(
    	'business_call_ttl_two',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',
		)
	);	

	$wp_customize->add_control( 
		'business_call_ttl_two',
		array(
		    'label'   		=> __('Business Call Title 2','hotel-26'),
		    'section'		=> 'footer_widgets',
			'type' 			=> 'text'
		)  
	);
	
	$wp_customize->add_setting(
    	'business_call_num_two',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',
		)
	);	

	$wp_customize->add_control( 
		'business_call_num_two',
		array(
		    'label'   		=> __('Business Call Number 1','hotel-26'),
		    'section'		=> 'footer_widgets',
			'type' 			=> 'text'
		)  
	);
	/* == Business Location == */
	$wp_customize->add_setting( 
    	'business_location_img' , 
    	array(
			'default' 			=> esc_url(get_template_directory_uri() .'/assets/images/footer/google.png'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_url',	
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'business_location_img' ,
		array(
			'label'          => esc_html__( 'Store Image', 'hotel-26'),
			'section'        => 'footer_widgets',
		) 
	));	
	
	$wp_customize->add_setting(
    	'business_location_ttl',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',
		)
	);	

	$wp_customize->add_control( 
		'business_location_ttl',
		array(
		    'label'   		=> __('Business Store Title','hotel-26'),
		    'section'		=> 'footer_widgets',
			'type' 			=> 'text'
		)  
	);
	
	$wp_customize->add_setting(
    	'business_location_subttl',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',
		)
	);	

	$wp_customize->add_control( 
		'business_location_subttl',
		array(
		    'label'   		=> __('Business Store Subtitle','hotel-26'),
		    'section'		=> 'footer_widgets',
			'type' 			=> 'text'
		)  
	);
	
	$wp_customize->add_setting(
    	'business_location_link',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_url',
		)
	);	

	$wp_customize->add_control( 
		'business_location_link',
		array(
		    'label'   		=> __('Store Link','hotel-26'),
		    'section'		=> 'footer_widgets',
			'type' 			=> 'text'
		)  
	);
	endif;
	/* =======================
		Copyright Section 
	======================== */
	
	$wp_customize->add_section(
        'footer_copy_Section',
        array(
            'title' 		=> __('Below Footer','hotel-26'),
			'panel'  		=> 'footer_section',
		)
    );
	
	if(function_exists('cleverfox_activate')):
	$wp_customize->add_setting( 'below_footer', 
		array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_html',		 
		)
	);

	$wp_customize->add_control( 'below_footer', 
		array(
			'label'   => esc_html__('Payment/Social','hotel-26'),
			'section' => 'footer_copy_Section',
			'type'	=> 'hidden'
		)		 
	);
	
	$wp_customize->add_setting( 'below_footer_hs', 
		array(
			'default'			=> '1',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_checkbox',		 
		)
	);

	$wp_customize->add_control( 'below_footer_hs', 
		array(
			'label'   => esc_html__('Show/Hide','hotel-26'),
			'section' => 'footer_copy_Section',
			'type'	=> 'checkbox'
		)		 
	);
	
	$wp_customize->add_setting( 'social_icon_contents', 
		array(
		 'sanitize_callback' => 'hotel_26_repeater_sanitize',
		 'default' => hotel26_social_icon_default()
		)
	);

	$wp_customize->add_control( 
		new Hotel_26_Repeater( $wp_customize, 
		'social_icon_contents', 
			array(
				'label'   => esc_html__('Social Content','hotel-26'),
				'section' => 'footer_copy_Section',
				'add_field_label'                   => esc_html__( 'Add New Social', 'hotel-26' ),
				'item_name'                         => esc_html__( 'Social', 'hotel-26' ),
				'customizer_repeater_icon_control' => true,
				'customizer_repeater_link_control' => true,
			) 
		) 
	);
	
	//Pro feature
	cleverfox_themes_section_upgrade_control( $wp_customize, array(
		'theme_slug' => 'hotel_26_',
		'setting_id' => 'social',
		'section'    => 'footer_copy_Section',
		'pro_url'    => hotel_26_premium_links(),
		'custom_text'    => __('Upgrade to Pro','hotel-26'),
	) );
	
	$wp_customize->add_setting( 'payment_contents', 
		array(
		 'sanitize_callback' => 'hotel_26_repeater_sanitize',
		 'default' => hotel26_payment_default()
		)
	);

	$wp_customize->add_control( 
		new Hotel_26_Repeater( $wp_customize, 
		'payment_contents', 
			array(
				'label'   => esc_html__('Payment Content','hotel-26'),
				'section' => 'footer_copy_Section',
				'add_field_label'                   => esc_html__( 'Add New Payment', 'hotel-26' ),
				'item_name'                         => esc_html__( 'Payment', 'hotel-26' ),
				'customizer_repeater_title_control' => true,
				'customizer_repeater_image_control' => true,
				'customizer_repeater_link_control' => true,
			) 
		) 
	);
	
	//Pro feature
	cleverfox_themes_section_upgrade_control( $wp_customize, array(
		'theme_slug' => 'hotel_26_',
		'setting_id' => 'payment',
		'section'    => 'footer_copy_Section',
		'pro_url'    => hotel_26_premium_links(),
		'custom_text'    => __('Upgrade to Pro','hotel-26'),
	) );
	
	endif;
	
	$wp_customize->add_setting(
        'footer_copyright_head',
        array(
			'capability'     	=> 'edit_theme_options',
            'sanitize_callback' => 'hotel_26_sanitize_text',
		)
    );
	
	$wp_customize->add_control(
        'footer_copyright_head',
        array(
            'label' 		=> __('Copyright','hotel-26'),
			'section'  		=> 'footer_copy_Section',
			'type'			=> 'hidden',
		)
    );
		
	// footer first text // 
	$hotel_26_footer_copyright = esc_html__('Copyright © [current_year] [theme_author] All Rights Reserved', 'hotel-26' );
	$wp_customize->add_setting(
    	'footer_first_custom',
    	array(
			'default'			=> $hotel_26_footer_copyright,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
		)
	);	

	$wp_customize->add_control( 
		'footer_first_custom',
		array(
		    'label'   		=> __('Copyright Text','hotel-26'),
		    'section'		=> 'footer_copy_Section',
			'type' 			=> 'textarea',
		)  
	);	
	
	
	/** ===================
	Footer Background 
	==================== **/ 
	$wp_customize->add_section(
        'footer_background',
        array(
            'title' 		=> __('Footer Background','hotel-26'),
			'panel'  		=> 'footer_section',
		)
    );
	//  Color
	$wp_customize->add_setting(
	'footer_bg_color', 
	array(
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
		'default' => '#091d36'
    ));
	
	$wp_customize->add_control( 
		new WP_Customize_Color_Control
		($wp_customize, 
			'footer_bg_color', 
			array(
				'label'      => __( 'Background Color', 'hotel-26' ),
				'section'    => 'footer_background',
			) 
		) 
	);
	
	//  Image // 
    $wp_customize->add_setting( 
    	'footer_bg_img' , 
    	array(
			'default' 			=> esc_url(get_template_directory_uri() .'/assets/images/footer/bg.jpg'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'hotel_26_sanitize_url',	
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'footer_bg_img' ,
		array(
			'label'          => esc_html__( 'Background Image', 'hotel-26'),
			'section'        => 'footer_background',
		) 
	));
	
	if( function_exists('cleverfox_activate')):
	//  Opacity Color
	$wp_customize->add_setting(
	'footer_bg_opacity_clr', 
	array(
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
		'default' => '#091d36'
    ));
	
	$wp_customize->add_control( 
		new WP_Customize_Color_Control
		($wp_customize, 
			'footer_bg_opacity_clr', 
			array(
				'label'      => __( 'Overlay Color', 'hotel-26' ),
				'section'    => 'footer_background',
			) 
		) 
	);
	
	// opacity
	if ( class_exists( 'Cleverfox_Customizer_Range_Slider_Control' ) ) {
		$wp_customize->add_setting(
			'footer_bg_opacity',
			array(
				'default'	      => '0.75',
				'capability'     	=> 'edit_theme_options',
				'sanitize_callback' => 'hotel_26_sanitize_range_value',
			)
		);
		$wp_customize->add_control( 
		new Cleverfox_Customizer_Range_Slider_Control( $wp_customize, 'footer_bg_opacity', 
			array(
				'label'      => __( 'opacity', 'hotel-26' ),
				'section'  => 'footer_background',
				'input_attrs'    => array(
						'min'           => 0,
						'max'           => 0.95,
						'step'          => 0.1,
					),
				)
			 ) 
		);
	}
	//Pro feature
	cleverfox_themes_section_upgrade_control( $wp_customize, array(
		'theme_slug' => 'hotel_26_',
		'setting_id' => 'footer_background_locked',
		'section'    => 'footer_background',
		'pro_url'    => hotel_26_premium_links(),
		'custom_text'    => __('Unlock With Pro','hotel-26'),
	) );
	endif;
}
add_action( 'customize_register', 'hotel_26_footer' );
// Footer selective refresh
function hotel_26_footer_partials( $wp_customize ){	
	//footer_above_content 
	$wp_customize->selective_refresh->add_partial( 'service_three_contents', array(
		'selector'            => '#service-three-section .footer-service-slider',
	) );
	
	// Awards
	$wp_customize->selective_refresh->add_partial( 'award_two_contents', array(
		'selector'            => '.guarantee-box .footer-award',
	) );
	
	// social_icon_contents
	$wp_customize->selective_refresh->add_partial( 'social_icon_contents', array(
		'selector'            => '.footer-section  .widget_social_widget',
	) );
	
	// payment_contents
	$wp_customize->selective_refresh->add_partial( 'payment_contents', array(
		'selector'            => '.footer-section .payments',
	) );
	
	// business_call_ttl_one
	$wp_customize->selective_refresh->add_partial( 'business_call_ttl_one', array(
		'selector'            => '.footer-info-bar .contact-info p:first-child',
		'settings'            => 'business_call_ttl_one',
		'render_callback'  => 'hotel_26_business_call_ttl_one_render_callback',
	) );
	
	// business_location_ttl
	$wp_customize->selective_refresh->add_partial( 'business_location_ttl', array(
		'selector'            => '.footer-info-bar .contact-info p:first-child',
		'settings'            => 'business_location_ttl',
		'render_callback'  => 'hotel_26_business_location_ttl_one_render_callback',
	) );
	
	// footer_first_custom
	$wp_customize->selective_refresh->add_partial( 'footer_first_custom', array(
		'selector'            => '.footer-copyright .copyright-text',
		'settings'            => 'footer_first_custom',
		'render_callback'  => 'hotel_26_footer_first_custom_render_callback',
	) );
	
	// footer_second_custom
	$wp_customize->selective_refresh->add_partial( 'footer_second_custom', array(
		'selector'            => '.footer-copyright .widget-right',
		'settings'            => 'footer_second_custom',
		'render_callback'  => 'hotel_26_footer_second_custom_render_callback',
	) );
	
	}

add_action( 'customize_register', 'hotel_26_footer_partials' );


// copyright_content
function hotel_26_business_call_ttl_one_render_callback() {
	return get_theme_mod( 'business_call_ttl_one' );
}
function hotel_26_business_location_ttl_render_callback() {
	return get_theme_mod( 'business_location_ttl' );
}
function hotel_26_footer_first_custom_render_callback() {
	return get_theme_mod( 'footer_first_custom' );
}
function hotel_26_footer_second_custom_render_callback() {
	return get_theme_mod( 'footer_second_custom' );
}